Description

The default RHEL kickstart template uses rhnreg_ks in the redhat_register snippet to register the newly provisioned host, however

this is now deprecated in favour of subscription-manager.

A new snippet should be added for rhsm support and the templates updated to use it.  The snippet should support enabling

non-default repos too.

(https://bugzilla.redhat.com/show_bug.cgi?id=1039910)

Associated revisions

Revision 15666c86 - 01/29/2014 06:46 AM - Sam Kottler

Fixes #3842: add support for registering with RHSM

History

#1 - 01/09/2014 02:55 PM - Dominic Cleal

- Target version set to 1.9.2

#2 - 01/15/2014 07:13 PM - Sam Kottler

- Assignee set to Sam Kottler

#3 - 01/20/2014 02:30 PM - Dominic Cleal

Please ensure it quotes activation keys to prevent a repeat of https://bugzilla.redhat.com/show_bug.cgi?id=1051580.

#4 - 01/20/2014 02:35 PM - Dominic Cleal

Here's a starting point, we need to be able to replace this snippet:

https://github.com/Katello/foreman-katello-engine/blob/master/app/views/unattended/snippets/_subscription_manager_registration.erb#L7

Don't forget, it goes to community-templates, then we'll just resync on the next Foreman release.

#5 - 01/22/2014 02:15 PM - Dominic Cleal

- Status changed from New to Assigned

#6 - 01/27/2014 07:56 PM - Anonymous

I ran into this today and FWIW here my findings (with Dominic's help):

with hosted RHN there's no possibility to use activation keys at the moment, so I use this for now:

subscription-manager register --username <%= @host.params['rhn_username'] %> --password <%= @host.params['rhn_

password'] %> --name <%= @host.name %> --auto-attach

and to get the the optional channel:
yum-config-manager --enable rhel-<%= @osver %>-server-optional-rpms

#7 - 01/29/2014 10:44 AM - Sam Kottler

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/community-templates/pull/53

#8 - 02/06/2014 12:02 PM - Anonymous

- Target version deleted (1.9.2)

- translation missing: en.field_release set to 6

#9 - 02/06/2014 12:02 PM - Anonymous

- Target version set to 1.9.2

#10 - 02/06/2014 12:11 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#11 - 02/07/2014 11:02 AM - Sam Kottler

This got finished in sprint 19, but didn't get closed automatically for some reason. There is a final pending patch [1] that needs to get merged before I

close this.

1. https://github.com/theforeman/community-templates/pull/54

#12 - 02/07/2014 01:26 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

- translation missing: en.field_release set to 4
